# Class LambdaMetafactory

java.lang.Object
java.lang.invoke.LambdaMetafactory

public class LambdaMetafactory extends Object
Deprecated.
these classes are used internally for Lambda compatibility

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FLAG_BRIDGES`
  Deprecated.
  `static final int`
  `FLAG_MARKERS`
  Deprecated.
  `static final int`
  `FLAG_SERIALIZABLE`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LambdaMetafactory()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CallSite`
  `altMetafactory(MethodHandles.Lookup a, String b, MethodType c, Object... d)`
  Deprecated.
  `static CallSite`
  `metafactory(MethodHandles.Lookup a, String f, MethodType b, MethodType c, MethodHandle d, MethodType e)`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### FLAG_SERIALIZABLE

    public static final int FLAG_SERIALIZABLE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### FLAG_MARKERS

    public static final int FLAG_MARKERS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### FLAG_BRIDGES

    public static final int FLAG_BRIDGES
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LambdaMetafactory

    public LambdaMetafactory()
    Deprecated.

- ## Method Details

  - ### metafactory

    public static CallSite metafactory(MethodHandles.Lookup a, String f, MethodType b, MethodType c, MethodHandle d, MethodType e) throws java.lang.invoke.LambdaConversionException
    Deprecated.
    Throws:
      `java.lang.invoke.LambdaConversionException`

  - ### altMetafactory

    public static CallSite altMetafactory(MethodHandles.Lookup a, String b, MethodType c, Object... d) throws java.lang.invoke.LambdaConversionException
    Deprecated.
    Throws:
      `java.lang.invoke.LambdaConversionException`